import { expect } from 'chai';
import path from 'path';
import { commandFactory } from './command';
var PATH_FIXTURES = path.join(__dirname, '__test__', 'fixtures');
var PATH_JSON_FIXTURE = path.join(PATH_FIXTURES, '1.json');
var FILTER_VALID = '.repository.type';
var EMPTY_OPTION_RESULT = {
    command: path.join(__dirname, '../bin/jq'),
    args: [
        FILTER_VALID,
        PATH_JSON_FIXTURE
    ],
    stdin: ''
};
describe('command', function() {
    it('factory should accept undefined options', function(done) {
        try {
            var result = commandFactory(FILTER_VALID, PATH_JSON_FIXTURE);
            expect(result).to.deep.equal(EMPTY_OPTION_RESULT);
            done();
        } catch (e) {
            done(e);
        }
    });
});
