import childProcess from 'child_process';
import stripFinalNewline from 'strip-final-newline';
var TEN_MEBIBYTE = 1024 * 1024 * 10;
var exec = function(command, args, stdin, cwd) {
    return new Promise(function(resolve, reject) {
        var stdout = '';
        var stderr = '';
        var spawnOptions = {
            maxBuffer: TEN_MEBIBYTE,
            cwd: cwd
        };
        var process = childProcess.spawn(command, args, spawnOptions);
        if (stdin) {
            process.stdin.setEncoding('utf-8');
            process.stdin.write(stdin);
            process.stdin.end();
        }
        process.stdout.setEncoding('utf-8');
        process.stdout.on('data', function(data) {
            stdout += data;
        });
        process.stderr.on('data', function(data) {
            stderr += data;
        });
        process.on('close', function(code) {
            if (code !== 0) {
                return reject(Error(stderr));
            } else {
                return resolve(stripFinalNewline(stdout));
            }
        });
    });
};
export default exec;
