import exec from './exec';
import { commandFactory } from './command';
export var run = function(filter, json) {
    var options = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {}, jqPath = arguments.length > 3 ? arguments[3] : void 0, cwd = arguments.length > 4 ? arguments[4] : void 0;
    return new Promise(function(resolve, reject) {
        var ref = commandFactory(filter, json, options, jqPath), command = ref.command, args = ref.args, stdin = ref.stdin;
        exec(command, args, stdin, cwd).then(function(stdout) {
            if (options.output === 'json') {
                var result;
                try {
                    result = JSON.parse(stdout);
                } catch (error) {
                    result = stdout;
                }
                return resolve(result);
            } else {
                return resolve(stdout);
            }
        }).catch(reject);
    });
};
