import isPathValid from 'is-valid-path';
export var INVALID_PATH_ERROR = 'node-jq: invalid path argument supplied (not a valid path)';
export var INVALID_JSON_PATH_ERROR = 'node-jq: invalid path argument supplied (not a .json file)';
export var isJSONPath = function(path) {
    return /\.json$/.test(path);
};
export var validateJSONPath = function(path) {
    if (!isPathValid(path)) {
        throw new Error("".concat(INVALID_PATH_ERROR, ": \"").concat(path, "\""));
    }
    if (!isJSONPath(path)) {
        throw new Error("".concat(INVALID_JSON_PATH_ERROR, ": \"").concat(path === '' ? '' : path, "\""));
    }
    return true;
};
